cgD3D8BindProgram(3)

NAME
cgD3D8BindProgram - activate a program with D3D

SYNOPSIS
  #include <Cg/cgD3D8.h>
  HRESULT cgD3D8BindProgram( CGprogram prog );

PARAMETERS

program
    A CGprogram handle, the program to activate with D3D.

RETURN VALUES
cgD3D9BindProgram returns D3D_OK if the function succeeds.

If the function fails due to a D3D call, that D3D failure code is returned.

DESCRIPTION
cgD3D8BindProgram does to-be-written

EXAMPLES
The following example code illustrates the use of cgD3D8BindProgram:

  // example code to-be-written

ERRORS
cgD3D8BindProgram does not generate any errors.

    or
to-be-written

HISTORY
cgD3D8BindProgram was introduced in Cg 1.1.

SEE ALSO
cgD3D9BindProgram,